{% extends "./plantilla.html" %}
{% load static %}
{% block contenido %}
<!DOCTYPE html>
<html lang="es" dir="ltr">
  <head>
    <meta charset="utf-8">
    <title>Enciar Correo</title>
    <style>
      label {
        font-size: 20px;
      }
    </style>
  </head>
  <body>
    <div class="container-fluid py-4">
      <div class="row">
        <div class="col-xl-2 col-sm-6 mb-xl-0 mb-9">
        </div>
        <div class="col-xl-10 col-sm-6 mb-xl-0 mb-9">
          <center><h2>Enviar Correo</h2></center>
          <center>
            <form action="{% url 'enviar_correo' %}" method="post" id="frm_nuevo_correo">
              {% csrf_token %}
              <label for="destinatario">Destinatario</label>
              <br>
              <input class="input1 form-control" type="email" name="destinatario" placeholder="Ingrese correo Destinatario" required>
              <br>
              <label for="asunto">Asunto:</label>
              <br>
              <input class="input1 form-control" type="text" name="asunto" placeholder="Ingrese el asunto" required>
              <br>
              <label for="cuerpo">Mensaje:</label>
              <br>
              <textarea name="cuerpo" placeholder="Ingrese un Mensaje" required class="form-control"></textarea>
              <br><br>
              <input type="submit" class="input1 btn btn-info bg-gradient-info" value="Enviar Correo">
            </form>
          </center>
        </div>
      </div>
    </div>
  </body>
  <script type="text/javascript">
    $("#frm_nuevo_correo").validate({
      rules:{
        "desctinatario":{
          required:true,
          email:true
        },
        "asunto":{
          required:true
        },
        "cuerpo":{
          required:true
        }
      },
      messages:{
        "destinatario":{
          required:"Debe ingresar un destinatario",
          email:"Debe ser un email valido"
        },
        "asunto":{
          required:"Debe ingresar el asunto"
        },
        "cuerpo":{
          required:"Debe ingresar un mensaje"
        }
      }
    }); //sin espacion en blanco

  </script>
</html>
{% endblock %}
